Xalan-Java: Class AttList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class AttList

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.AttList

public class AttList
extends java.lang.Object
implements org.xml.sax.AttributeList

**For internal use only** Wraps a DOM attribute list in a SAX AttributeList.

Constructor Summary
`AttList(org.w3c.dom.NamedNodeMap attrs)` **For internal use only**

Method Summary
`int` | `getLength()` **For internal use only**
`java.lang.String` | `getName(int i)` **For internal use only**
`java.lang.String` | `getType(int i)` **For internal use only**
`java.lang.String` | `getType(java.lang.String name)` **For internal use only**
`java.lang.String` | `getValue(int i)` **For internal use only**
`java.lang.String` | `getValue(java.lang.String name)` **For internal use only**

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttList

    public AttList(org.w3c.dom.NamedNodeMap attrs)

Method Detail

### getLength

    public int getLength()

  Specified by:
    getLength in interface org.xml.sax.AttributeList

### getName

    public java.lang.String getName(int i)

  Specified by:
    getName in interface org.xml.sax.AttributeList

### getType

    public java.lang.String getType(int i)

  Specified by:
    getType in interface org.xml.sax.AttributeList

### getValue

    public java.lang.String getValue(int i)

  Specified by:
    getValue in interface org.xml.sax.AttributeList

### getType

    public java.lang.String getType(java.lang.String name)

  Specified by:
    getType in interface org.xml.sax.AttributeList

### getValue

    public java.lang.String getValue(java.lang.String name)

  Specified by:
    getValue in interface org.xml.sax.AttributeList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.